/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */

/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/
/*       autozyg.h:  header file for lm_auto, lm_ibdtests,             */
/*                        lm_pval, lm_fuzzp                            */
/*                    contains #includes for header files for          */
/*                        libraries used                               */
/*                    and #defines, typedefs, variables and            */
/*                        function prototypes                          */
/*:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::*/

#ifndef AUTOZYG_H
#define AUTOZYG_H

#define DEFINE_DATA

#include "parsie.h"
#include "nghds.h"
#include "pedchk.h"
#include "msample.h"
#include "lsample.h"
#include "rans.h"
#include "traits.h"

#ifdef AUTO_DISP
#include "gldisp.h"
#endif

#ifdef DMALLOC
#include <dmalloc.h>
#endif /* DMALLOC */

/**
 * @defgroup autozyg Autozyg programs.
 * @ingroup Programs
 * @{
 */

#if 0
struct _cleanup clean_auto[] = {
{"als ",    free_fnams},
{"als ",    freeChkPed},
{"als ",    freeKey},
{"als ",    free_auto},
{"als ",    free_ped},
{"al  ",    free_cmplists},
{"als ",    free_nghds},
{"als ",    free_xxgg},
{"al"  ,    free_allefrq},
{"al  ",    free_switches},
{"al"  ,    free_marek},
{"al"  ,    locus_peel_free},
{"al"  ,    free_allocate_loci},
{"al"  ,    free_gen_pen},
{"al"  ,    free_logprob},
{"al"  ,    free_msmpl},
{"al"  ,    free_traits},
{"als ",    free_dub},
{""    ,    NULL}} ;
#endif

struct _cleanup clean_auto[] = {
{""    ,    NULL}} ;

/** @} */

#endif /*AUTOZYG_H*/
