/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
#include "nghds.h"

/*
 * A recursive program that returns the inbreeding coefficient  
 * for individual a. 
 */

extern double kinship (Ind *, Ind *);

double inbreeding (Ind * a)
{
   if (isNullNode (a))
      return 0.0;
   else
      return kinship (a->pa, a->ma);
}
